Page MenuHomePhabricator

No gradient visible in SVG rendered as PNG at large sizes
Closed, ResolvedPublic

Description

Author: alexlmuller

Description:
I've seen T8250: PNG replacement image for .SVG does not show transparency gradient correctly and T12469: SVG -PNG conversion error in Wikimedia? and don't _think_ this is a duplicate.

The SVG of the GlaxoSmithKline logo looks perfect: http://en.wikipedia.org/wiki/File:GlaxoSmithKline_logo.svg

The 200px and 500px rendered PNGs look great (using the links below the image). However, the 1000px and 2000px versions lose the orange gradient.

I don't think this is an issue with the SVG: I can download the file, open in Inkscape, export at whatever size and it looks fine. Is it a problem with the PNG renderer?

Cheers,

Alex


Version: unspecified
Severity: minor
OS: Mac OS X 10.6
Platform: Macintosh
URL: http://en.wikipedia.org/wiki/File:GlaxoSmithKline_logo.svg
See Also: T29465: SVG thumbnail generation fails due to bad namespace handling in SVGMetadataExtractor

Details

Reference
bz27356

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:14 PM
bzimport set Reference to bz27356.
bzimport added a subscriber: Unknown Object (MLST).

The orange actually moves to the right, the larger you make the svg rendering.

This may be somehow related to #27465. Apparently, the tag <a:midPointStop /> (used AFAIK to describe gradients) throws an error.

TheDJ added a comment.Dec 4 2011, 8:59 PM

Issue not yet fixed after recent librsvg upgrade.

brion added a comment.Sep 19 2013, 3:15 PM

Switching to Wikimedia/SVG Rendering component.

Aklapper updated the task description. (Show Details)Mar 8 2016, 11:05 PM
Aklapper set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 8 2016, 11:05 PM
Aklapper closed this task as Resolved.Mar 8 2016, 11:07 PM
Aklapper claimed this task.
Aklapper lowered the priority of this task from Normal to Low.

This may be somehow related to #27465.

...which is solved now (T29465). And the testcase is gone now unfortunately, so I will resolve this task. :-/

Snaevar removed a subscriber: Snaevar.May 28 2016, 3:16 PM